#pragma once

#include "CoreMinimal.h"
#include "DistanceFromActorsStrategyData.generated.h"

class UCurveFloat;

USTRUCT(BlueprintType)
struct FDistanceFromActorsStrategyData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UCurveFloat* PenaltyFromDistanceToClosestSpawnObject;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UCurveFloat* ScoreFromDistanceFromActor;

public:
	DEADBYDAYLIGHT_API FDistanceFromActorsStrategyData();
};

FORCEINLINE uint32 GetTypeHash(const FDistanceFromActorsStrategyData) { return 0; }
